@extends('base.base')
@section('base')
    <!-- 内容区域 -->
    <div class="main-panel">
        <div class="content-wrapper">
            <div class="row">
                <div class="col-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">{{ __('auto.修改咖啡图片') }}</h4>

                            <form class="forms-sample" id="form">

                                <div>
                                    <select name="pic_number" id="" class="form-control">
                                        <option value="-1">{{ __('auto.请选择') }}</option>
                                        @foreach($picList as $key => $val)
                                            <option value="{{$key}}">{{ $val }}</option>
                                        @endforeach
                                    </select>
                                </div>


                                <button type="button" onclick="commit({{ $id }})" class="btn btn-sm btn-gradient-primary btn-icon-text">
                                    <i class="mdi mdi-file-check btn-icon-prepend"></i>
                                    {{ __('auto.提交') }}
                                </button>
                                <button type="button" onclick="cancel()" class="btn btn-sm btn-gradient-warning btn-icon-text">
                                    <i class="mdi mdi-reload btn-icon-prepend"></i>
                                    {{ __('auto.取消') }}
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>


        function commit(id){

            if(!checkForm()){
                return false;
            }

            var data = $("#form").serializeObject();

            myRequest("/admin/recharge/updatePic/"+id,"post", data,function(res){
                if(res.code == '200'){
                    layer.msg(res.msg)
                    setTimeout(function(){
                        parent.location.reload();
                    },1500)
                }else{
                    layer.msg(res.msg)
                }
            });
        }
        function cancel() {
            parent.location.reload();
        }
    </script>
@endsection
